"""
UUID Migration Script

Migrates all research_id fields from Integer to String (UUID) format.
This creates a more consistent and scalable ID system across the application.
"""

from pathlib import Path

from local_deep_research.web.database.migrations import migrate_to_uuid


def get_database_path():
    """Get the path to the SQLite database."""
    data_dir = Path(__file__).parents[3] / "data"
    return data_dir / "ldr.db"


if __name__ == "__main__":
    migrate_to_uuid()
